%define module Gnome2

Summary: Perl module for the gnome2-2.x core libraries
Name:    perl-%module
Version: 1.023
Release: 2mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
# http://sourceforge.net/project/showfiles.php?group_id=64773&package_id=91219
Source:  %module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: gnomeui2-devel perl-devel perl-ExtUtils-Depends perl-Gnome2-VFS >= 1.00 perl-Gtk2 => 1.00
BuildRequires: perl-Gnome2-Canvas
Requires: perl-Gtk2 >= 1.00
Conflicts: drakxtools < 9.1-15mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides perl access to GNOME-2.x core libraries.

GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME (like KDE) is based completely on Open Source software.

GNOME libraries provide extra widgets on top of the gtk+ toolkit.


%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE examples/*
%{_mandir}/*/*
%{perl_vendorarch}/%module
%{perl_vendorarch}/%module.pm
%{perl_vendorarch}/auto/*


%changelog
* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.023-2mdk
- fix build on x86_64

* Thu Jun 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.023-1mdk
- new release

* Tue Jun 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.022-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.020-2mdk
- rebuilt for new perl

* Thu Sep 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.020-1mdk
- new release

* Mon Aug 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.014-1mdk
- new release

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.013-1mdk
- new release

* Mon Aug 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.012-1mdk
- new release

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.011-1mdk
- new release

* Thu Jun 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.010-1mdk
- new release
- now Gnome2 {Build,}requires Gnome2-Canvas

* Thu Mar 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-1mdk
- new release

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-1mdk
- new release

* Thu Oct 30 2003 root <root@vador.mandrakesoft.com> 0.38-1mdk
- new release

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.32-1mdk
- 0.32

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.30-1mdk
- new release

* Fri Jul 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.28-1mdk
- new release

* Thu Jul 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-2mdk
- add some docs and one example
- generate build system in %%prep

* Mon Jul 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-1mdk
- Gnome2-0.26 (memleak fixes)

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-1mdk
- xs snapshot
